{
  services.calibre-web = {
    enable = true;
    listen.port = 8083;
    openFirewall = true;
    user = "calibre";
    group = "calibre";
    options = {
      calibreLibrary = "/data/books";
      enableBookUploading = true;
    };
  };

  services.calibre-server = {
    enable = true;
    libraries = [ "/data/books" ];
    user = "calibre";
    group = "calibre";
  };

  services.nginx.virtualHosts."books.mossnet.lan" = {
    enableACME = false;
    forceSSL = false;

    locations."/" = {
      extraConfig = ''
        proxy_pass http://localhost:8083/;
        proxy_set_header X-Forwarded-Host $host;
      '';
    };
  };
}
